<?php
 //menggunakan class phpExcelReader
 include "reader.php";
 
$host='localhost';
$username='root';
$password='';
$database='mhs';
mysql_connect($host,$username,$password);
mysql_select_db($database);
 
 $data = new Spreadsheet_Excel_Reader($_FILES['userfile']['tmp_name']);
 $baris = $data->rowcount($sheet_index=0);
 
 for ($i=2; $i<=$baris; $i++) {
	$NPM = $data->val($i,2);
	$NAMA = $data->val($i,3);
	$Jurusan = $data->val($i,4);
	$TempatLahir = $data->val($i,5);
	$TglLahir = $data->val($i,6);
	$JenisKelamin = $data->val($i,7);
	$Agama = $data->val($i,8);
	$Alamat = $data->val($i,9);
	$NoTelp = $data->val($i,10);
	$Email = $data->val($i,11);
	$AsalSekolah = $data->val($i,12);
	$StatusPerkawinan = $data->val($i,13);
	$StatusPekerjaan = $data->val($i,14);
	$Perusahaan = $data->val($i,15);
	$Jabatan = $data->val($i,16);
	$AlamatPerusahaan = $data->val($i,17);
	$StatusMahasiswa = $data->val($i,18);
	$PerguruanTinggiAsal = $data->val($i,19);
	$ProgramStudi = $data->val($i,20);
	$Jenjang = $data->val($i,21);
	$SKSDiakui = $data->val($i,22);

$result = mysql_query("select NPM from tbmahasiswa where NPM = '".$NPM."'");
$num_rows = mysql_num_rows($result);

	if ($num_rows == 0){
 $query = "INSERT INTO tbmahasiswa (NPM, Nama, Jurusan, TempatLahir, TglLahir, JenisKelamin, Agama, Alamat, NoTelp, Email, AsalSekolah, StatusPerkawinan, StatusPekerjaan, Perusahaan, Jabatan, AlamatPerusahaan, StatusMahasiswa, PerguruanTinggiAsal, ProgramStudi, Jenjang, SKSDiakui, isAktif) values ('$NPM', '$NAMA', '$Jurusan', '$TempatLahir', '$TglLahir', '$JenisKelamin', '$Agama', '$Alamat', '$NoTelp', '$Email', '$AsalSekolah', '$StatusPerkawinan', '$StatusPekerjaan', '$Perusahaan', '$Jabatan', '$AlamatPerusahaan', '$StatusMahasiswa', '$PerguruanTinggiAsal', '$ProgramStudi', '$Jenjang', '$SKSDiakui', 1)";
  $hasil = mysql_query($query);
 
	}
}
	echo "<script>window.location='".$base."data-mahasiswa'</script>"
?>